#
#  rb_main.rb
#

require 'osx/cocoa'
# set the $LOAD_PATH or $: for where to look for require/include ruby files
resource_path = OSX::NSBundle.mainBundle.resourcePath.fileSystemRepresentation
ruby_path = File.expand_path(resource_path + "/../Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/")
$: << ruby_path
$: << ruby_path + "/universal-darwin11.0"
require 'path-setting'

def rb_main_init
  path = OSX::NSBundle.mainBundle.resourcePath.fileSystemRepresentation
  rbfiles = Dir.entries(path).select {|x| /\.rb\z/ =~ x}
  rbfiles -= [ File.basename(__FILE__) ]
  rbfiles.each do |path|
    require( File.basename(path) )
  end
end

puts "Ruby version is #{RUBY_VERSION}"
puts "RubyCocoa version is #{OSX::RUBYCOCOA_VERSION}."
RubyCocoaLocations.restrict_load_path_to_OSX_defaults
RubyCocoaLocations.make_chosen_libs_and_gems_available
rb_main_init
